--- crypto/hmac/hmac.c.orig	2005-05-03 06:56:09.000000000 -0500
+++ crypto/hmac/hmac.c	2006-10-04 13:44:03.000000000 -0500
@@ -180,4 +180,13 @@
 	EVP_MD_CTX_set_flags(&ctx->md_ctx, flags);
 	}
 
+/* To preserve compatibility w/ older apps, keep HMAC_cleanup */
+#ifdef HMAC_cleanup
+#undef HMAC_cleanup
+#endif
+void HMAC_cleanup(HMAC_CTX *ctx)
+	{
+	HMAC_CTX_cleanup(ctx);
+	}
+
 #endif
